#
# spec file for package perl-Test-Inter
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-Inter
Version:        1.06
Release:        6.1
%define cpan_name Test-Inter
Summary:        Framework for More Readable Interactive Test Scripts
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-Inter/
Source0:        http://www.cpan.org/authors/id/S/SB/SBECK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.21
%{perl_requires}

%description
This is another framework for writing test scripts. Some of the syntax is
loosely inspired by Test::More, and has most of it's functionality, but it
is not a drop-in replacement.

Test::More (and other existing test frameworks) suffer from two weaknesses,
both of which have prevented me from ever using them:

   None offer the ability to access specific tests in
   a reasonably interactive fashion

   None offer the ability to write the tests in
   whatever format would make the tests the most
   readable

The way I write and use test scripts, existing Test::* modules are not
nearly as useful as they could be. Test scripts written using Test::More
work fine when running as part of the test suite, but debugging an
individual test requires extra steps, and the tests themselves are not as
readable as they should be.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Test-Inter/Changes
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.05
  The __nl__ substitution wasn't happening.
  Fixed the Build.PL/Makefile.PL scripts to not install the example scripts.  RT 84091
* Fri Nov 18 2011 coolo@suse.com
- update to 1.03
  Added 'width' method.
  Updated some tests which did not run correctly with perl 5.015
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 20 2010 chris@computersalat.de
- initial package 1.01
  * created by cpanspec 1.78
